Bug 1432972 - /etc/pki/product/69.pem shows version as 6.8 for RHGS3.2.0(6.9)
Summary: /etc/pki/product/69.pem shows version as 6.8 for RHGS3.2.0(6.9)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: RHGS 3.2.0
Assignee: Milind Changire
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2017-03-16 13:31 UTC by Rahul Hinduja
Modified: 2017-03-23 05:11 UTC (History)
4 users (show)

Fixed In Version: redhat-storage-server-3.2.0.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 05:11:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0484 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:06:37 UTC

Description Rahul Hinduja 2017-03-16 13:31:09 UTC
Description of problem:
=======================

Product version shown as 6.8 for RHGS3.2 on 69.pem certificate. It should be 6.9

[root@test-vm ~]# rct cat-cert /etc/pki/product/69.pem

+-------------------------------------------+
	Product Certificate
+-------------------------------------------+

Certificate:
	Path: /etc/pki/product/69.pem
	Version: 1.0
	Serial: 12750047592154746867
	Start Date: 2016-03-17 20:31:09+00:00
	End Date: 2036-03-12 20:31:09+00:00

Subject:
	CN: Red Hat Product ID [06641130-0736-484c-bcdd-dbcde98ac10a]

Issuer:
	C: US
	CN: Red Hat Entitlement Product Authority
	O: Red Hat, Inc.
	OU: Red Hat Network
	ST: North Carolina
	emailAddress: ca-support@redhat.com

Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 6.8 <====================== This should be 6.9
	Arch: x86_64
	Tags: rhel-6,rhel-6-server
	Brand Type: 
	Brand Name: 

[root@test-vm ~]# 
[root@test-vm ~]# rpm -qf /etc/pki/product/69.pem
redhat-storage-server-3.2.0.2-1.el6rhs.noarch
[root@test-vm ~]# 

Looked on the RHEL6.9 and there do not seem to be any certificate available. Not sure about the reason we started generating certificated. 

[root@dhcp37-50 ~]#  rct cat-cert /etc/pki/product/69.pem
The specified certificate file does not exist.
[root@dhcp37-50 ~]# ls /etc/pki/product/
[root@dhcp37-50 ~]# uname -a
Linux dhcp37-50.lab.eng.blr.redhat.com 2.6.32-696.el6.x86_64 #1 SMP Tue Feb 21 00:53:17 EST 2017 x86_64 x86_64 x86_64 GNU/Linux
[root@dhcp37-50 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.9 (Santiago)
[root@dhcp37-50 ~]#

Comment 2 Milind Changire 2017-03-16 18:35:09 UTC
built redhat-storage-server-3.2.0.3-1.el6rhs with product certificate update for RHEL 6.9

Comment 4 Rahul Hinduja 2017-03-17 08:08:42 UTC
Verified by upgrading the package. certificate file correctly shows version: 6.9. Moving this bug to verified state.

[root@test-vm ~]# rpm -qf /etc/pki/product/69.pem
redhat-storage-server-3.2.0.2-1.el6rhs.noarch
[root@test-vm ~]# rct cat-cert /etc/pki/product/69.pem

+-------------------------------------------+
	Product Certificate
+-------------------------------------------+

Certificate:
	Path: /etc/pki/product/69.pem
	Version: 1.0
	Serial: 12750047592154746867
	Start Date: 2016-03-17 20:31:09+00:00
	End Date: 2036-03-12 20:31:09+00:00

Subject:
	CN: Red Hat Product ID [06641130-0736-484c-bcdd-dbcde98ac10a]

Issuer:
	C: US
	CN: Red Hat Entitlement Product Authority
	O: Red Hat, Inc.
	OU: Red Hat Network
	ST: North Carolina
	emailAddress: ca-support@redhat.com

Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 6.8
	Arch: x86_64
	Tags: rhel-6,rhel-6-server
	Brand Type: 
	Brand Name: 

[root@test-vm ~]# rpm -iUh redhat-storage-server-3.2.0.3-1.el6rhs.noarch.rpm 
########################################### [100%]
########################################### [100%]
[root@test-vm ~]# rpm -qa | grep redhat-storage
redhat-storage-server-3.2.0.3-1.el6rhs.noarch
redhat-storage-logos-60.0.20-1.el6rhs.noarch
[root@test-vm ~]# 
[root@test-vm ~]# rct cat-cert /etc/pki/product/69.pem

+-------------------------------------------+
	Product Certificate
+-------------------------------------------+

Certificate:
	Path: /etc/pki/product/69.pem
	Version: 1.0
	Serial: 12750047592154746929
	Start Date: 2016-10-20 15:38:44+00:00
	End Date: 2036-10-15 15:38:44+00:00

Subject:
	CN: Red Hat Product ID [f9bc87d4-b0c5-4378-8c82-1b61098b4799]

Issuer:
	C: US
	CN: Red Hat Entitlement Product Authority
	O: Red Hat, Inc.
	OU: Red Hat Network
	ST: North Carolina
	emailAddress: ca-support@redhat.com

Product:
	ID: 69
	Name: Red Hat Enterprise Linux Server
	Version: 6.9
	Arch: x86_64
	Tags: rhel-6,rhel-6-server
	Brand Type: 
	Brand Name: 

[root@test-vm ~]# rpm -qf /etc/pki/product/69.pem
redhat-storage-server-3.2.0.3-1.el6rhs.noarch
[root@test-vm ~]#

Comment 6 errata-xmlrpc 2017-03-23 05:11:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0484.html


Note You need to log in before you can comment on or make changes to this bug.